ApiCallNotificationsFilterInput
Conditions for admin_api_call_notifications
type ApiCallNotificationsFilterInput {
callback: StringFilter
content: StringFilter
created_at: DateFilter
delay: StringFilter
delay_by: StringFilter
headers: StringFilter
id: UniqIdFilter
metadata: [JsonbFilter!]
name: StringFilter
or: [ApiCallNotificationsFilterInput!]
physical_file_path: StringFilter
to: StringFilter
trigger_condition: StringFilter
updated_at: DateFilter
}
Fields
callback (StringFilter)
Conditions on the callback Liquid run after the response is received
content (StringFilter)
Conditions on the request body template
created_at (DateFilter)
Conditions on the creation time
delay (StringFilter)
Deprecated, use delay_by
delay_by (StringFilter)
Conditions on the delay template
headers (StringFilter)
Conditions on the request headers template
id (UniqIdFilter)
Conditions on the id
metadata (JsonbFilter)
Conditions on the metadata defined in the file. All conditions are combined with AND
name (StringFilter)
Conditions on the name
or (ApiCallNotificationsFilterInput)
Alternative condition sets: matches when at least one of them matches. Combined with AND with the other conditions
physical_file_path (StringFilter)
Conditions on the source file path relative to the app directory, e.g. views/pages/index.liquid
to (StringFilter)
Conditions on the request URL template
trigger_condition (StringFilter)
Conditions on the trigger condition
updated_at (DateFilter)
Conditions on the last update time